GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
scoped_restore_current_language Class Reference

`#include "language.h"`

## Public Member Functions
| scoped_restore_current_language ()
| ~scoped_restore_current_language ()
| scoped_restore_current_language (const scoped_restore_current_language &)=delete
scoped_restore_current_language & | operator= (const scoped_restore_current_language &)=delete

## Private Attributes
enum language | m_lang

## Detailed Description

Definition at line 664 of file language.h.

## Constructor & Destructor Documentation

## ◆ scoped_restore_current_language() [1/2]

scoped_restore_current_language::scoped_restore_current_language | ( |  | ) |
| inline explicit

Definition at line 668 of file language.h.

## ◆ ~scoped_restore_current_language()

scoped_restore_current_language::~scoped_restore_current_language | ( |  | ) |
| inline

Definition at line 673 of file language.h.

References set_language().

## ◆ scoped_restore_current_language() [2/2]

scoped_restore_current_language::scoped_restore_current_language | ( | const scoped_restore_current_language & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

scoped_restore_current_language& scoped_restore_current_language::operator= | ( | const scoped_restore_current_language & |  | ) |
| delete

## Member Data Documentation

## ◆ m_lang

enum language scoped_restore_current_language::m_lang
| private

Definition at line 685 of file language.h.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/language.h